#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB2,0x59,0x42,0x95,0xFF,0xAB,0x04,0x34,0x1C,0xFF,0xC1,0x4E,
		0x19,0x8A,0x33,0x9A,0x52,0x4F,0x6B,0x42,0x02,0x55,0xBF,0xAF,
		0xB1,0xDF,0x1A,0x7C,0xC6,0xBE,0xC6,0x04,0x80,0x81,0x36,0x04,
		0x1B,0xCC,0xC9,0x30,0x37,0xB4,0x5C,0x5D,0x49,0xF0,0x5C,0x99,
		0x7D,0xA6,0x69,0x45,0x84,0xC4,0x4A,0xB9,0x0B,0x76,0xFA,0xBB,
		0x68,0xD6,0x43,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
